module PettanrUnknownV01Licenses
  class CreditPicture < ActiveRecord::Base
    belongs_to :source_url_btn, :class_name => "SystemPicture", :foreign_key => "source_url_btn_id"
    belongs_to :source_url_off_btn, :class_name => "SystemPicture", :foreign_key => "source_url_off_btn_id"
    
    validates :source_url_btn_id, :presence => true, :numericality => true, :existence => {:both => false}
    validates :source_url_off_btn_id, :presence => true, :numericality => true, :existence => {:both => false}
    
    def supply_default 
    end
    
  end
end
